Skip site navigation (1) Skip section navigation (2)

Problem Compiling perl support.

From: "Darryl Catchpole" <darryl(at)work-smarter(dot)co(dot)uk>
To: <pgsql-ports(at)postgresql(dot)org>
Subject: Problem Compiling perl support.
Date: 1999-06-27 19:03:02
Message-ID: 01bc01bec0cf$dc8f61a0$0f00a8c0@home (view raw or flat)
Thread:
Lists: pgsql-ports
I'm having a lot of difficulty in getting Postgres v6.4.2 and 6.5 to compile
Perl support.

I've managed to build and install without Perl support.

The problem seems to be the location of libpq-fe.h (plus supporting
headers/files) required by Pg.c in the interfaces/Perl5 directory.

V 6.5 didn't include the file. With v6.4.2 I've tried copying the libpq/ to
libraries included in the compiler include directive
/usr/lib/perl5/5.00503/i586-Linux/CORE.

I also have a small problem with the configure program, it doesn't recognise
the operating system. I've got round this by manually configuring the
script.

I'm running Redhat 5.2 Linux, 2.0.36 kernel, Perl 5.003, gcc 2.7.2.3.

I hope you can shed some light on what's going wrong.

Regards,

Darryl Catchpole.
--
http://www.work-smarter.co.uk/
Good advice is free, bad advice costs.



pgsql-ports by date

Next:From: Darryl CatchpoleDate: 1999-06-28 08:38:23
Subject: Problem Compiling perl support.
Previous:From: kkellerDate: 1999-06-27 18:27:33
Subject: Installed v6.5

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group